Package: groovy.util

## [Java] Interface BufferedIterator<T>

-     public interface BufferedIterator<T>
      extends Iterator

  An iterator that allows examining the next element without consuming it.

  Since:
    2.5.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public T` | `head()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Iterator` | `forEachRemaining, hasNext, next, remove`

- - ### Method Detail

    - #### public T head()